Skip to main content
GET
Get a Generation by ID

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Query Parameters

isDemo
enum<string>

If you have submitted a generation by setting 'demoMode', pass 'yes' to this parameter when trying to query it, otherwise don't pass anything, a dummy generation will only be queriable for 5 mintues after submit.

Available options:
yes

Response

Response for status 200

The generation is complete and you can get the download links from the response

apiKeyId
string
required
creditCost
number
required
createdAt
integer
required

timestamp in milliseconds since epoch

Required range: -9007199254740991 <= x <= 9007199254740991
input
object
required
status
enum<string>
required
Available options:
completed
outputs
object[]
required
completedAt
integer

timestamp in milliseconds since epoch

Required range: -9007199254740991 <= x <= 9007199254740991
webhookUrl
string
Last modified on July 30, 2026